[Libav-user] [pcm_s32le @ 0x11d0e00] Specified sample format 48000 is invalid or not supported Error

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[Libav-user] [pcm_s32le @ 0x11d0e00] Specified sample format 48000 is invalid or not supported Error

יוסף אלון
Hi, I have this error:

[pcm_s32le @ 0x11d0e00] Specified sample format 48000 is invalid or not supported

I want to encode a file to wav extension with 44800 sample rate.
But the error is very strange (It is a mix between sample format to sample rate).
Ant ideas?

Yosef


--

_______________________________________________
Libav-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/libav-user
Reply | Threaded
Open this post in threaded view
|

Re: [pcm_s32le @ 0x11d0e00] Specified sample format 48000 is invalid or not supported Error

Carl Eugen Hoyos-2
2017-04-18 13:09 GMT+02:00 יוסף אלון <[hidden email]>:

> [pcm_s32le @ 0x11d0e00] Specified sample format 48000 is invalid or not
> supported

I believe you have already been told that the version of the
library you used for compilation is different from the one
linked at runtime.

Please use static linking at least while developing, Carl Eugen
_______________________________________________
Libav-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/libav-user
Reply | Threaded
Open this post in threaded view
|

Re: [pcm_s32le @ 0x11d0e00] Specified sample format 48000 is invalid or not supported Error

יוסף אלון
OK, Thanks.
I want to know how to do it (I tried by adding -static flag in the linker)

I started from the beginning and I deleted all libav*-dev that installed using "sudo apt-get install libav**-dev" (on my ubuntu system) and all libav libraries i had on my OS.
Should I download the package from source (If yes -> from where?)?
Or should I installed all of them using the above command? (as mentioned in https://trac.ffmpeg.org/wiki/CompilationGuide/Ubuntu)

And after this does I am adding flags in the netBeans IDE 8.2 linker with -static?

And then it should work?
Is thare is any guide for this?

2017-04-20 0:31 GMT+03:00 Carl Eugen Hoyos <[hidden email]>:
2017-04-18 13:09 GMT+02:00 יוסף אלון <[hidden email]>:

> [pcm_s32le @ 0x11d0e00] Specified sample format 48000 is invalid or not
> supported

I believe you have already been told that the version of the
library you used for compilation is different from the one
linked at runtime.

Please use static linking at least while developing, Carl Eugen
_______________________________________________
Libav-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/libav-user



--
בברכה, יוסף אלון
050-4916740

_______________________________________________
Libav-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/libav-user